import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRZoneManagementClusterZoneTriggerControlStruct extends _NSObject {
    static alloc(): _MTRZoneManagementClusterZoneTriggerControlStruct;
    static new(): _MTRZoneManagementClusterZoneTriggerControlStruct;
    init(): _MTRZoneManagementClusterZoneTriggerControlStruct;
    zoneID(): _NSNumber;
    setZoneID$(value: _NSNumber): void;
    initialDuration(): _NSNumber;
    setInitialDuration$(value: _NSNumber): void;
    augmentationDuration(): _NSNumber;
    setAugmentationDuration$(value: _NSNumber): void;
    maxDuration(): _NSNumber;
    setMaxDuration$(value: _NSNumber): void;
    blindDuration(): _NSNumber;
    setBlindDuration$(value: _NSNumber): void;
    sensitivity(): _NSNumber | null;
    setSensitivity$(value: _NSNumber | null): void;
}
export interface _MTRZoneManagementClusterZoneTriggerControlStruct extends _NSCopying {
}
